<?php

namespace Drupal\image_field_repair;

/**
 * Helper for get image size.
 */
class ImageSizer {

  /**
   * FastImage instance.
   *
   * @var \Drupal\image_field_repair\FastImage
   */
  private static $fastImage;

  /**
   * Returns size of image.
   *
   * @param string $uri
   *   Uri of image.
   *
   * @return array|bool
   *   Array with info about image size: [0] => width, [1] => height.
   *   FALSE if image not found or unsupported format.
   */
  public static function getSize($uri) {
    if (!static::$fastImage) {
      static::$fastImage = new FastImage();
    }

    if ($uri[0] === '/' && $uri[1] === '/') {
      $uri = 'http:' . $uri;
    }

    @static::$fastImage->load($uri);

    $size = @static::$fastImage->getSize();
    if (!$size) {
      $size = @getimagesize($uri);
    }
    return $size;
  }

}
